Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.faces.model
Class SerializableListDataModel

    java.lang.Object
      javax.faces.model.DataModel
          org.springframework.faces.model.SerializableListDataModel

All Implemented Interfaces:
  java.io.Serializable, java.lang.Iterable

Direct Known Subclasses:
  ManySelectionTrackingListDataModel, OneSelectionTrackingListDataModel

    public class SerializableListDataModel

extends javax.faces.model.DataModel
implements java.io.Serializable

A simple List-to-JSF-DataModel adapter that is also serializable.

Author:
  Jeremy Grelle
See Also:
  Serialized Form

Constructor Summary
`SerializableListDataModel()`
`SerializableListDataModel(java.util.List list)` Adapt the list to a data model;

Method Summary
`int` | `getRowCount()`
`java.lang.Object` | `getRowData()`
`int` | `getRowIndex()`
`java.lang.Object` | `getWrappedData()`
`boolean` | `isRowAvailable()`
`void` | `setRowIndex(int newRowIndex)`
`void` | `setWrappedData(java.lang.Object data)`
`java.lang.String` | `toString()`

Methods inherited from class javax.faces.model.DataModel
`addDataModelListener, getDataModelListeners, iterator, removeDataModelListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SerializableListDataModel

    public SerializableListDataModel()

### SerializableListDataModel

    public SerializableListDataModel(java.util.List list)

  Adapt the list to a data model;

  Parameters:
    `list` - the list

Method Detail

### getRowCount

    public int getRowCount()

  Specified by:
    `getRowCount` in class `javax.faces.model.DataModel`

### getRowData

    public java.lang.Object getRowData()

  Specified by:
    `getRowData` in class `javax.faces.model.DataModel`

### getRowIndex

    public int getRowIndex()

  Specified by:
    `getRowIndex` in class `javax.faces.model.DataModel`

### getWrappedData

    public java.lang.Object getWrappedData()

  Specified by:
    `getWrappedData` in class `javax.faces.model.DataModel`

### isRowAvailable

    public boolean isRowAvailable()

  Specified by:
    `isRowAvailable` in class `javax.faces.model.DataModel`

### setRowIndex

    public void setRowIndex(int newRowIndex)

  Specified by:
    `setRowIndex` in class `javax.faces.model.DataModel`

### setWrappedData

    public void setWrappedData(java.lang.Object data)

  Specified by:
    `setWrappedData` in class `javax.faces.model.DataModel`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD